Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.ServiceTracker

Simplifies the use of services within a service registry.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/serviceTracker.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.ServiceTracker(serviceRegistry, serviceName) A ServiceTracker tracks matching services in the given service registry.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addingService(serviceRef) Called to customize a service object being added to this ServiceTracker.
| close() Stops tracking services.
| getServiceReferences() Returns service references to the services that are being tracked.
| onClose() Called when this ServiceTracker has been closed.
| onOpen() Called when this ServiceTracker has been opened.
| onServiceAdded(serviceRef, service) Called when a service is being added to this ServiceTracker.
| open() Begins tracking services.
| removedService(serviceRef, service) Called when a service has been removed from this ServiceTracker.

Class Detail
orion.ServiceTracker(serviceRegistry, serviceName)
A ServiceTracker tracks matching services in the given service registry. Matching services are those whose `objectClass` property contains the given `serviceName`. The #addingService and #removedService methods can be overridden to customize the service objects being tracked.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to track services of.
{String} serviceName
  The service name of services to be tracked.

Method Detail
{Object} addingService(serviceRef)
Called to customize a service object being added to this ServiceTracker. Subclasses may override this method. The default implementation returns the result of calling orion.serviceregistry.ServiceRegistry#getService passing the service reference.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
  The reference to the service being added.

Returns:
  {Object} The service object to be tracked for the given service reference. If `null` is returned, the service reference will not be tracked.

close()
Stops tracking services.

{orion.serviceregistry.ServiceReference[]} getServiceReferences()
Returns service references to the services that are being tracked.

Returns:
  {orion.serviceregistry.ServiceReference[]} References to all services that are being tracked by this ServiceTracker.

onClose()
Called when this ServiceTracker has been closed. Subclasses can override this method.

onOpen()
Called when this ServiceTracker has been opened. Subclasses can override this method.

{Deferred|undefined} onServiceAdded(serviceRef, service)
Called when a service is being added to this ServiceTracker. Subclasses can override this method to take part in the service's `'serviceAdded'` phase.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
{orion.serviceregistry.Service} service

Returns:
  {Deferred|undefined} This method can optionally return a deferred. If it does, the returned deferred will be added to the service's `serviceAdded` listener queue; in other words, the returned deferred must resolve before any calls to the service's methods can proceed.

open()
Begins tracking services.

removedService(serviceRef, service)
Called when a service has been removed from this ServiceTracker. Subclasses may override this method. The default implementation does nothing.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
  The reference to the removed service.
{orion.serviceregistry.Service} service
  The service object for the removed service.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)